Bug 509400 - firefox 3.5-beta4 consistently hangs when viewing JAVA webpages ....
firefox 3.5-beta4 consistently hangs when viewing JAVA webpages ....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
11
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
http://radar.weather.gov/radar.php?ri...
: Reopened
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-07-02 11:50 EDT by William A. Mahaffey III
Modified: 2018-04-11 05:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (42.15 KB, text/plain)
2009-07-02 13:16 EDT, Matěj Cepl
no flags Details
backtrace (22.47 KB, text/plain)
2009-07-02 13:23 EDT, Matěj Cepl
no flags Details

  None (edit)
Description William A. Mahaffey III 2009-07-02 11:50:11 EDT
Description of problem:firefox 3.5-beta4.x86_64 consistently hangs when viewing certain webpages (http://radar.weather.gov/radar.php?rid=htx&product=N0R&overlay=11111111&loop=yes for example). Symptoms show after viewing the site for a few refreshes, then trying to go somewhere else, either by using the back button, the history dropdown, or the URL bar dropdown.



Version-Release number of selected component (if applicable):3.5-0.20.beta4.fc11


How reproducible:go to above URL & try it


Steps to Reproduce: go to above URL & try it
1.
2.
3.
  
Actual results: browser hangs after viewing page for a few seconds, then trying to leave by back button or by trying to go to another site from URL bar dropdown menu


Expected results: browser views page AOK & can leave at will


Additional info: rest of OS is fully patched up as of Sunday.
Comment 1 Matěj Cepl 2009-07-02 13:16:50 EDT
Created attachment 350316 [details]
backtrace

Yeah, unfortunately, I can reproduce it pretty well. The keyword is really "reload" ... it just works wonderfully on the first run, but once I start reloading page, trying to find some other place, firefox goes down.
Comment 2 Matěj Cepl 2009-07-02 13:23:19 EDT
Created attachment 350317 [details]
backtrace
Comment 3 Matěj Cepl 2009-07-02 13:25:21 EDT
not completely sure, whether the second backtrace is related (happened when i was restarting firefox with among many others this weather page).

And yes, all this reproduction is done with
firefox-3.5-1.fc11.x86_64
xulrunner-1.9.1-1.fc11.x86_64
Comment 4 William A. Mahaffey III 2009-07-02 14:08:36 EDT
I 2nd the motion on reload/refresh, good observation, that is a much better description. Whenever the graphic box is somewhat occluded & has to refresh itself (like after the URL bar dropdown retracts & uncovers part of the gfx plot), the trouble starts ....
Comment 5 William A. Mahaffey III 2009-07-26 13:42:29 EDT
I just upgraded to 3.5.1 (about an hour ago) & this is still a problem (1st time I tried it) .... no problema, just notifying ....
Comment 6 William A. Mahaffey III 2009-08-06 11:14:50 EDT
Just upgraded to 3.5.2 (did yum -y upgrade, so I got everything) within the hour, this is still with us. No problema, just notifying ....
Comment 7 William A. Mahaffey III 2009-10-10 15:16:01 EDT
I just upgraded to 3.5.3 about an hour ago, & this is still with us. just notifying ....
Comment 8 William A. Mahaffey III 2009-11-07 19:12:17 EST
upgraded to FF 3.5.4 today (full system yum upgrade), this is still flaky, just FYI ....
Comment 9 William A. Mahaffey III 2009-12-01 11:47:48 EST
upgraded to FF 3.5.5 Sunday (full upgrade, 'yum -y upgrade'), & this is still with us, just FYI ....
Comment 10 Mads Kiilerich 2009-12-13 19:36:30 EST
I have just started seing something like this consistently on https://www.lsb.dk/lsb/netbank/logon/ , using F12 with updates-testing. However, sometimes it is only the "html page" that hangs; the menu, url and tab headlines are redrawn correctly, and using up/down arrows can apparently make it work again.

Is the problem discussed here so well-understood that no further stack traces are needed? Or do you see indications that my problem is different and should be filed separately?
Comment 11 Matěj Cepl 2009-12-14 05:39:28 EST
Most likely duplicate of some of java bug, but not sure which one exactly, so leaving to Java folks to decide.
Comment 12 William A. Mahaffey III 2010-01-07 10:23:03 EST
upgraded to FF3.5.6.x86_64 Saturday, this is still problematic, just FYI ....
Comment 13 Deepak Bhole 2010-01-07 17:22:46 EST
I cannot reproduce either of the mentioned issues with upstream, which means that the fixes are there already. The next OpenJDK update in Fedora should inherit them.
Comment 14 Mads Kiilerich 2010-01-19 13:15:55 EST
I just noticed similar behaviour with the Citrix ICAClient-11.0-1.i386 browser plugin. That points in the direction of a Firefox bug.
Comment 15 Mads Kiilerich 2010-02-01 19:46:12 EST
This bug hurts! ;-)

I consistently see this:
- java (on one tab) is freezing so the tab isn't repainted on alt-tab, and often the FF headline and tab headers also isn't repainted.
- if I click on another (invisible) tab-tab then often nothing happens - the freezing tab is freezing FF completely
- pressing pgup/pgdn on the other page often makes it repaint
- ctrl-tabbing back to the Java tab often makes it repaint

So unless the java plugin violates som insecure cooperative protocol I can't see how this can be a java bug. And even if it violates such a protocol it is primarily a FF bug to expose such an interface.

I guess the java plugin has a way to tell FF that it takes responsibility for repainting a viewport. It seems like the plugin is allowed to claim a too big rectangle, and that the claim isn't suspended when another tab gets active.

However, this is just ramblings ...

Deepak, which next OpenJDK are you referring to? 1.6.2? Is a test build available somewhere? Building it seems to require infinite computing resources ...
Comment 16 William A. Mahaffey III 2010-02-02 17:32:16 EST
I 2nd the motion on this description of what is happening, happens about 1 time out of 3, maybe 1/4 for me, have to shut the browser down & reinvoke it ....
Comment 17 Deepak Bhole 2010-02-17 11:34:16 EST
(In reply to comment #15)

> 
> Deepak, which next OpenJDK are you referring to? 1.6.2? Is a test build
> available somewhere? Building it seems to require infinite computing resources
> ...    

Newer packages have been available for a while now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=154266
http://koji.fedoraproject.org/koji/buildinfo?buildID=154267

I am going to close this issue. Please feel free to re-open if you can still reproduce it.
Comment 18 Mads Kiilerich 2010-02-21 08:58:52 EST
It looks better - I haven't seen the problem for a while now.
Comment 19 William A. Mahaffey III 2010-02-21 11:02:22 EST
I still see it once in a while on the above-mentioned (originally referenced) URL, the browser locks up, slider, menus, etc. don't work, I have to kill it & start over. Happens about 1 time in 10, though I see other, less serious manifestations (update text for the window being plotted stalls before final 'applet started' text appears, but the browser still works OK) about 1 time in 3 or 4. YMMV & all that ....
Comment 20 William A. Mahaffey III 2010-02-21 19:41:42 EST
As per my last response, I think this should be re-opened, what do I do to make that happen ?
Comment 21 Mads Kiilerich 2010-02-21 19:50:47 EST
As reporter you should be authorized to change "status" from "closed" to "assigned" - which I have done now.
Comment 22 Mads Kiilerich 2010-02-26 19:29:48 EST
My comment 18 was invalid - I still see what I described in comment 15. 

From my POV it still seems like a problem with the repaint control, and I still think it looks more like a bug in Firefox or X than in Java...
Comment 23 William A. Mahaffey III 2010-03-09 08:46:18 EST
I just upgraded to FF 3.5.8 yesterday A.M. & am still seeing artifacts of this, no crashes yet, but the 'fail to upgrade status for the plotted window' symptom 1st time I tried it .... just FYI ....
Comment 24 Deepak Bhole 2010-03-11 15:30:11 EST
I'm keeping this open but FYI, I it is completely unreproducible on my end with the new plugin. 

I tried loading the applet 8 times (including in parallel) and it works fine. The latest code is not in rawhide yet but it will be soon. Keeping this open till it makes it in rawhide.
Comment 25 William A. Mahaffey III 2010-03-11 22:04:58 EST
I reliably see the minor manifestations (failure to upgrade status text for plotted window), as recently as just a few moments ago. No crashes yet (but only been to that page < 10 times in the last 24 hours). I'll keep watching, will post you if I get nothing (no crashes) in a few days. bit I am still sceptical ....
Comment 26 Mads Kiilerich 2010-03-12 05:22:41 EST
(In reply to comment #24)
> I'm keeping this open but FYI, I it is completely unreproducible on my end with
> the new plugin. 
> 
> I tried loading the applet 8 times (including in parallel) and it works fine.
> The latest code is not in rawhide yet but it will be soon. Keeping this open
> till it makes it in rawhide.    

Deepak, could you be more explicit about the versions so we have a chance to know what to look for and test so we can give useful feedback?
Comment 27 Deepak Bhole 2010-03-12 15:03:17 EST
(In reply to comment #26)
> (In reply to comment #24)
> > I'm keeping this open but FYI, I it is completely unreproducible on my end with
> > the new plugin. 
> > 
> > I tried loading the applet 8 times (including in parallel) and it works fine.
> > The latest code is not in rawhide yet but it will be soon. Keeping this open
> > till it makes it in rawhide.    
> 
> Deepak, could you be more explicit about the versions so we have a chance to
> know what to look for and test so we can give useful feedback?    

Yes, sorry about that. The (fixed) version I was referring to is in rawhide.

Fedora 11 and 12 have the older version of a plugin. The Java plugin in rawhide is a newer, rewritten plugin. It is only in rawhide atm, and this latest build should have it:

http://koji.fedoraproject.org/koji/buildinfo?buildID=159594
Comment 28 Mads Kiilerich 2010-03-13 19:19:18 EST
It seems like java-1.6.0-openjdk-plugin-1.6.0.0-36.b17.fc12.i686 is good for me. I have said that before, I think I have tested more thoroughly this time.
Comment 29 Mads Kiilerich 2010-03-14 22:09:52 EDT
(In reply to comment #28)
> It seems like java-1.6.0-openjdk-plugin-1.6.0.0-36.b17.fc12.i686 is good for
> me. I have said that before, I think I have tested more thoroughly this time.    

Grrr. I was wrong. It still happens here, but I can't figure out when.
Comment 30 William A. Mahaffey III 2010-03-15 17:14:11 EDT
I just had a lockup, had to punch out w/ the top-right WM exit button & start over .... no crash, but definitely fubared ....
Comment 31 Bug Zapper 2010-04-27 11:26:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Bug Zapper 2010-06-28 09:26:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.